/**
 * 环境监控模块与其区域 Iframe 内嵌网页通信的消息前缀
 */
export const envAreaMsgPrefix = 'hvac-env-monitor';

/**
 * 环境监控模块与其区域 Iframe 内嵌网页通信的消息类型
 */
export const enum EnvAreaMsgType {
  EditArea = 'edit-area',
  SubmitEditArea = 'submit-edit-area',
  CancelEditArea = 'cancel-edit-area',
}

export const getEnvAreaMsgType = (type: EnvAreaMsgType) => {
  return envAreaMsgPrefix + '-' + type;
};
